xorg crash (sudden logout)

Bug #1005112 reported by Teo on 2012-05-27
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

I was simply surfing the web when suddenly I was logged out from xorg.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+12ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-25.40-generic 3.2.18
Uname: Linux 3.2.0-25-generic i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 295.40 Thu Apr 5 21:28:09 PDT 2012
 GCC version: gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5)
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu8
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,vpswitch,mousepoll,compiztoolbox,snap,place,resize,session,regex,grid,wall,move,gnomecompat,imgpng,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Sun May 27 11:24:53 2012
DistUpgraded: 2012-05-17 16:45:23,028 DEBUG enabling apt cron job
DistroCodename: precise
DistroVariant: ubuntu
GraphicsCard:
 NVIDIA Corporation G84 [GeForce 9500M GS] [10de:0405] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:15d2]
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
JockeyStatus:
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
 pkg:sl-modem-daemon - Software modem (Proprietary, Disabled, Not in use)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
MachineType: ASUSTeK Computer Inc. M51Sn
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-25-generic root=UUID=173acbf5-26a0-49e3-8d2b-f1c142582cbf ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: Upgraded to precise on 2012-05-17 (9 days ago)
dmi.bios.date: 12/24/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 303
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: M51Sn
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr303:bd12/24/2007:svnASUSTeKComputerInc.:pnM51Sn:pvr1.0:rvnASUSTeKComputerInc.:rnM51Sn:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: M51Sn
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.
version.compiz: compiz 1:0.9.7.8-0ubuntu1
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3.1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3.1
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Teo (teo1978) wrote :
Changed in xorg (Ubuntu):
status: New → Confirmed
Timo Aaltonen (tjaalton) on 2012-06-02
affects: xorg (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Máté Eckl (ecklm) wrote :

It also happens to me really often.

Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Máté Eckl (ecklm)
Máté Eckl (ecklm) on 2012-11-01
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: Máté Eckl (ecklm) → nobody
assignee: nobody → Máté Eckl (ecklm)
Máté Eckl (ecklm) on 2012-12-31
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: Máté Eckl (ecklm) → nobody
assignee: nobody → Máté Eckl (ecklm)
assignee: Máté Eckl (ecklm) → nobody
Máté Eckl (ecklm) wrote :

I found a solution. You should follow these instructions:
http://askubuntu.com/questions/144792/how-to-stop-my-12-04-randomly-loging-me-out

Teo (teo1978) wrote :

If that really fixed it, then it would mean that the upstream X in May 2012 already had this fixed, and those updates would have already been released by now, wouldn't they??

Waldemar Nazaruk (ppmip2) wrote :

I have the same problem. Xorg is forced to log out when I tray start Skype, Spotify, TeamSpeak, R, Amnesia, when I click inside UbuntuOne window and many more. I only found that it is problem of graphic driver and i traied many version of nvidida drivers and nothing worked

To post a comment you must log in.